Skip to main content
`Ctrl`+`K`

# VecRestoreArray

Restores a vector after `VecGetArray()` has been called and the array is no longer needed

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecRestoreArray(Vec x, PetscScalar *a[])

Logically Collective

## Input Parameters

- x - the vector

- a - location of pointer to array obtained from `VecGetArray()`

## See Also

Vectors and Parallel Data, `Vec`, `VecGetArray()`, `VecRestoreArrayRead()`, `VecRestoreArrays()`, `VecPlaceArray()`, `VecRestoreArray2d()`, `VecGetArrayPair()`, `VecRestoreArrayPair()`

## Level

beginner

## Location

src/vec/vec/interface/rvector.c

## Examples

src/ksp/ksp/tutorials/ex69.c
src/ksp/ksp/tutorials/ex68.c
src/ksp/ksp/tutorials/ex56.c
src/ksp/ksp/tutorials/ex49.c
src/ksp/ksp/tutorials/ex72.c
src/dm/tutorials/ex5.c
src/dm/tutorials/ex6.c
src/ksp/ksp/tutorials/ex71.c
src/ksp/ksp/tutorials/ex11.c
src/dm/field/tutorials/ex1.c

## Implementations

VecRestoreArray_Nest() in src/vec/vec/impls/nest/vecnest.c
VecRestoreArray_SeqKokkos() in src/vec/vec/impls/seq/kokkos/veckok.kokkos.cxx
VecRestoreArray_SeqViennaCL() in src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages